/* jshint undef: true, unused: true */
/* global plugin, require, com */

//var facade = require("facade");
var on = require("on")(plugin);
//var console = require("console")(plugin.info().logger);
var form = require("form");

plugin.service({
    name: "settings.set",
    description: "Set plugin settings",
    parameters: [
        {name: "settings", description: "Settings", type: "java.util.Map"}
    ],
    handler: function (settings) {
        form.updateFormConfig(settings);
        return settings;
    }
});

plugin.service({
    name: "settings.get",
    description: "Get plugin settings",
    parameters: [],
    handler: function () {
        return form.getFormConfig();
    }
});

on({
    WebServerEvent: function (event)
    {
        var webServer = event.getWebServer();        
        webServer.add(form.requestHandler);
    },
    
    UIExtensionEvent: function (event)
    {
        var helper = new com.cattura.plugins.ui.helpers.ExtensionHelper(event);
        helper.addFromDirectory("schedule-form", plugin.info().getResource("ui-extension"));
    }
});
